Generate funnel link
curl --request POST \
--url https://app.zenedu.io/api/v1/bot/{bot}/links/funnel \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"funnel_id": 123,
"name": "<string>",
"expire_date": "2026-12-31 23:59:59",
"request_email": true,
"request_phone": true,
"tags": [
"<string>"
]
}
'import requests
url = "https://app.zenedu.io/api/v1/bot/{bot}/links/funnel"
payload = {
"funnel_id": 123,
"name": "<string>",
"expire_date": "2026-12-31 23:59:59",
"request_email": True,
"request_phone": True,
"tags": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
funnel_id: 123,
name: '<string>',
expire_date: '2026-12-31 23:59:59',
request_email: true,
request_phone: true,
tags: ['<string>']
})
};
fetch('https://app.zenedu.io/api/v1/bot/{bot}/links/funnel', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.zenedu.io/api/v1/bot/{bot}/links/funnel",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'funnel_id' => 123,
'name' => '<string>',
'expire_date' => '2026-12-31 23:59:59',
'request_email' => true,
'request_phone' => true,
'tags' => [
'<string>'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.zenedu.io/api/v1/bot/{bot}/links/funnel"
payload := strings.NewReader("{\n \"funnel_id\": 123,\n \"name\": \"<string>\",\n \"expire_date\": \"2026-12-31 23:59:59\",\n \"request_email\": true,\n \"request_phone\": true,\n \"tags\": [\n \"<string>\"\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://app.zenedu.io/api/v1/bot/{bot}/links/funnel")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"funnel_id\": 123,\n \"name\": \"<string>\",\n \"expire_date\": \"2026-12-31 23:59:59\",\n \"request_email\": true,\n \"request_phone\": true,\n \"tags\": [\n \"<string>\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.zenedu.io/api/v1/bot/{bot}/links/funnel")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"funnel_id\": 123,\n \"name\": \"<string>\",\n \"expire_date\": \"2026-12-31 23:59:59\",\n \"request_email\": true,\n \"request_phone\": true,\n \"tags\": [\n \"<string>\"\n ]\n}"
response = http.request(request)
puts response.read_body{
"status": "success",
"data": {
"link": "<string>",
"landing_link": "<string>"
}
}{
"message": "<string>",
"errors": {}
}{
"message": "<string>",
"errors": {}
}{
"message": "<string>",
"errors": {}
}Ссылки
Сгенерировать ссылку на воронку
Генерирует ссылку-приглашение в воронку (Pro)
POST
/
api
/
v1
/
bot
/
{bot}
/
links
/
funnel
Generate funnel link
curl --request POST \
--url https://app.zenedu.io/api/v1/bot/{bot}/links/funnel \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"funnel_id": 123,
"name": "<string>",
"expire_date": "2026-12-31 23:59:59",
"request_email": true,
"request_phone": true,
"tags": [
"<string>"
]
}
'import requests
url = "https://app.zenedu.io/api/v1/bot/{bot}/links/funnel"
payload = {
"funnel_id": 123,
"name": "<string>",
"expire_date": "2026-12-31 23:59:59",
"request_email": True,
"request_phone": True,
"tags": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
funnel_id: 123,
name: '<string>',
expire_date: '2026-12-31 23:59:59',
request_email: true,
request_phone: true,
tags: ['<string>']
})
};
fetch('https://app.zenedu.io/api/v1/bot/{bot}/links/funnel', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.zenedu.io/api/v1/bot/{bot}/links/funnel",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'funnel_id' => 123,
'name' => '<string>',
'expire_date' => '2026-12-31 23:59:59',
'request_email' => true,
'request_phone' => true,
'tags' => [
'<string>'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.zenedu.io/api/v1/bot/{bot}/links/funnel"
payload := strings.NewReader("{\n \"funnel_id\": 123,\n \"name\": \"<string>\",\n \"expire_date\": \"2026-12-31 23:59:59\",\n \"request_email\": true,\n \"request_phone\": true,\n \"tags\": [\n \"<string>\"\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://app.zenedu.io/api/v1/bot/{bot}/links/funnel")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"funnel_id\": 123,\n \"name\": \"<string>\",\n \"expire_date\": \"2026-12-31 23:59:59\",\n \"request_email\": true,\n \"request_phone\": true,\n \"tags\": [\n \"<string>\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.zenedu.io/api/v1/bot/{bot}/links/funnel")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"funnel_id\": 123,\n \"name\": \"<string>\",\n \"expire_date\": \"2026-12-31 23:59:59\",\n \"request_email\": true,\n \"request_phone\": true,\n \"tags\": [\n \"<string>\"\n ]\n}"
response = http.request(request)
puts response.read_body{
"status": "success",
"data": {
"link": "<string>",
"landing_link": "<string>"
}
}{
"message": "<string>",
"errors": {}
}{
"message": "<string>",
"errors": {}
}{
"message": "<string>",
"errors": {}
}Авторизации
API token from the Zenedu dashboard
Параметры пути
Bot ID
Тело
application/json
ID of the funnel
Name for the generated link
Expiration date in Y-m-d H:i:s format (must be in the future)
Пример:
"2026-12-31 23:59:59"
Whether to request email on the landing page
Whether to request phone on the landing page
Tags to assign to subscribers who use this link